Swift Packageのターゲットバージョンを細かく設定する

1 min read読了の目安(約300字

iOS向けSwift PackageのPackage.swiftでターゲットバージョンを設定するとき、以下の書き方だとメジャーバージョン単位での設定しかできませんが、

    platforms: [
        .iOS(.v14)
    ],

文字列でバージョン指定できるほうのメソッドを使うと、こんな感じでマイナーバージョン単位やパッチバージョン単位でも設定できるようになります。

    platforms: [
        .iOS("14.5")
    ],